Opened 3 months ago

Closed 3 months ago

#11617 closed enhancement (fixed)

Unknown game variant for cine

Reported by: Kurufinwe21 Owned by: karisal
Priority: normal Component: Engine: Cine
Keywords: unknown-game Cc:
Game: Operation Stealth

Description

My copy of Operation Stealth doesn't seem to be recognised.

ScummVM 2.2.0git8507-gb18105f17c (Aug 25 2020 18:41:23)

Matched game IDs for the cine engine: os-gb

  {"procs1", 0, "3f9edde60ccb380f716942c5b059d1d5", 14116},

This is the original French version of the game (floppy, EGA graphics).

Let me know if you need more details.

Change History (8)

comment:1 by sev-, 3 months ago

Owner: set to sev-
Resolution: fixed
Status: newpending

I added the detection, please test it with tomorrow's build.

comment:2 by Kurufinwe21, 3 months ago

There seems to be a small typo in the detection code.

With a new build, ScummVM still fails to detect the game. That seems to be because it's looking for a file named PROCS01, whereas the file is actually named PROCS1. (See the message in the original report.)

If I make a copy of that file and name it PROCS01, the game is correctly detected and launches properly. So it should just be a matter of correcting the typo in the recent commit.

comment:3 by Kurufinwe21, 3 months ago

Resolution: fixed
Status: pendingnew

comment:4 by karisal, 3 months ago

@Kurufinwe21 Could you please download md5deep from http://md5deep.sourceforge.net/
and then run the following in the directory where you have the game data files
for your version of Operation Stealth and give the output here into this ticket:

echo The listing of files:
dir
echo MD5sums of the first 5000 bytes of each file:
md5deep -p 5000 * | find /i "offset 0-4999"
echo MD5sums of the full files:
md5deep *

Thank you very much!

comment:5 by Kurufinwe21, 3 months ago

I'm not sure why this is necessary; as I said above, the problem was just a typo in the recent commit.

Anyway, here you go:

The listing of files:

 Volume in drive E is DATADRIVE1
 Volume Serial Number is 4C36-3D38

 Directory of E:\Backup\JEUXDOS\games\SD

30/08/2020  20:23    <DIR>          .
30/08/2020  20:23    <DIR>          ..
09/08/1990  14:27             1,232 BOOT.EXE
25/08/2020  19:14                 6 DELPHINE.CFG
28/09/1990  20:44            58,392 DELPHINE.EXE
17/08/1990  10:15            17,044 EGOUBASE
28/08/1990  14:27               802 EGOUBASE.PAL
17/08/1990  10:16             1,440 ERRMESS.DAT
31/08/1990  12:11            12,304 INSTALL.EXE
17/08/1990  10:15            18,758 LABYBASE
28/08/1990  14:27             1,154 LABYBASE.PAL
17/08/1990  10:16               512 POLDAT.DAT
28/09/1990  19:50            14,116 PROCS1
29/08/1990  18:05            36,350 PROCS2
29/08/1990  17:11            11,684 PROCS3
17/08/1990  10:16            62,250 PROCS4
29/08/1990  19:55            44,308 PROCS5
29/08/1990  19:53            30,690 PROCS6
27/12/1990  15:56            20,194 SD.0
23/12/1990  08:56            20,362 SD.1
27/12/1990  14:51            27,384 SD.10
27/12/1990  14:53            18,790 SD.11
27/12/1990  14:55            18,474 SD.12
27/12/1990  14:57            18,694 SD.13
27/12/1990  14:59            19,334 SD.14
27/12/1990  15:00            18,614 SD.15
27/12/1990  15:04            19,584 SD.16
27/12/1990  15:04            18,526 SD.17
27/12/1990  15:07            19,070 SD.18
27/12/1990  15:18            19,934 SD.19
23/12/1990  09:09            19,972 SD.2
27/12/1990  14:20            17,930 SD.3
27/12/1990  14:21            18,640 SD.4
27/12/1990  14:23            26,180 SD.5
27/12/1990  14:33            27,296 SD.6
27/12/1990  14:36            26,180 SD.7
27/12/1990  14:42            27,120 SD.8
27/12/1990  14:44            26,158 SD.9
17/08/1990  15:35                26 SD.BAT
27/12/1990  15:56               400 SD.DIR
17/08/1990  10:17            96,406 SD01A
28/08/1990  14:28             1,994 SD01A.PAL
29/08/1990  17:00           299,886 SD01B
29/08/1990  17:07             4,298 SD01B.PAL
17/08/1990  10:17            65,924 SD01C
28/08/1990  14:28               536 SD01C.PAL
17/08/1990  10:17            51,574 SD01D
28/08/1990  14:28               882 SD01D.PAL
31/08/1990  21:53           261,286 SD021
31/08/1990  21:53             7,534 SD021.PAL
08/09/1990  18:40           281,128 SD022
31/08/1990  17:16            13,232 SD022.PAL
01/09/1990  17:59           208,358 SD03
28/08/1990  14:29             4,150 SD03.PAL
27/08/1990  18:47            28,406 SDS1
27/08/1990  18:41            28,100 SDS2
27/08/1990  18:46            30,414 SDS3
29/08/1990  17:26            33,119 SDS4
31/08/1990  21:52            25,446 SDS5
27/08/1990  18:47            30,958 SDS6
01/09/1990  18:37           202,784 SINTRO2
28/08/1990  14:28             4,154 SINTRO2.PAL
17/08/1990  10:18             5,764 TEXTE.DAT
17/08/1990  10:18                27 VOL.1
17/08/1990  10:18                24 VOL.2
17/08/1990  10:18                26 VOL.3
17/08/1990  10:18                50 VOL.4
17/08/1990  10:18                27 VOL.5
17/08/1990  10:18                29 VOL.6
01/09/1990  10:32             4,800 VOL.CNF
28/05/1990  23:46                 1 VOL.END
              72 File(s)      2,766,145 bytes
               2 Dir(s)  1,255,181,119,488 bytes free

MD5sums of the first 5000 bytes of each file:

48102bca544214dc1756b287a95990e1  E:\Backup\JEUXDOS\games\SD\DELPHINE.EXE offset 0-4999
751f1b3d7af80d6c60f18f2b4f00cac6  E:\Backup\JEUXDOS\games\SD\EGOUBASE offset 0-4999
4b9972ba989fb10300248cd131cb3f4c  E:\Backup\JEUXDOS\games\SD\INSTALL.EXE offset 0-4999
0d173466f625877641ce001e0e8184b3  E:\Backup\JEUXDOS\games\SD\LABYBASE offset 0-4999
3f9edde60ccb380f716942c5b059d1d5  E:\Backup\JEUXDOS\games\SD\PROCS1 offset 0-4999
1ee0c7f30add2ea61a041e2541cee1b9  E:\Backup\JEUXDOS\games\SD\PROCS2 offset 0-4999
9c4e102d6772c684455bde0d3a4153cb  E:\Backup\JEUXDOS\games\SD\PROCS3 offset 0-4999
7bd1d122eae6e6959386a0b6bbcc5d6b  E:\Backup\JEUXDOS\games\SD\PROCS4 offset 0-4999
fa9e5aefe8e135d6af77b5023e5afaf7  E:\Backup\JEUXDOS\games\SD\PROCS5 offset 0-4999
4b252247788e7ab6780a8fe09eff0be2  E:\Backup\JEUXDOS\games\SD\PROCS6 offset 0-4999
6c71a2f78b8bb90c58d7574e4d778732  E:\Backup\JEUXDOS\games\SD\SD.0 offset 0-4999
5fcaceb4e714c0a0788ca2fded4fd4a5  E:\Backup\JEUXDOS\games\SD\SD.1 offset 0-4999
07ef3648515a89c6e1be0ece6d97b7a6  E:\Backup\JEUXDOS\games\SD\SD.10 offset 0-4999
36fcccceb2ee00739b6c825f8fa7acfa  E:\Backup\JEUXDOS\games\SD\SD.11 offset 0-4999
a3dcbc8c23a948045e35e933906cff5f  E:\Backup\JEUXDOS\games\SD\SD.12 offset 0-4999
5a424959fff06a1ba547c006b5aebd26  E:\Backup\JEUXDOS\games\SD\SD.13 offset 0-4999
afeca7b39c20d4f44ee94c99659aabd2  E:\Backup\JEUXDOS\games\SD\SD.14 offset 0-4999
77ec84dd7d3b9a36508908c5d6f97110  E:\Backup\JEUXDOS\games\SD\SD.15 offset 0-4999
ba51e9f73498c635356070bf8fe5affb  E:\Backup\JEUXDOS\games\SD\SD.16 offset 0-4999
9c72a4ec2355ec8578d49a8512a675da  E:\Backup\JEUXDOS\games\SD\SD.17 offset 0-4999
c149d0dad45daf4994b8b221ec88099a  E:\Backup\JEUXDOS\games\SD\SD.18 offset 0-4999
f00ba5acfd7687256f5ec43839567b67  E:\Backup\JEUXDOS\games\SD\SD.19 offset 0-4999
ece32cfb38d1183342fe48a746020296  E:\Backup\JEUXDOS\games\SD\SD.2 offset 0-4999
754e1a6d37517927435d386f8e3ed661  E:\Backup\JEUXDOS\games\SD\SD.3 offset 0-4999
26300f3189e820c2a013417458d7d184  E:\Backup\JEUXDOS\games\SD\SD.4 offset 0-4999
00f83a915fefb9c4e702b98a24a40240  E:\Backup\JEUXDOS\games\SD\SD.5 offset 0-4999
d27e5e38a4ccfb989a62fb5043987631  E:\Backup\JEUXDOS\games\SD\SD.6 offset 0-4999
228b6e3868a2463ad0f19d30c5db99cf  E:\Backup\JEUXDOS\games\SD\SD.7 offset 0-4999
c8f54b9e4e39b856d643bcf5ec637776  E:\Backup\JEUXDOS\games\SD\SD.8 offset 0-4999
46afb2e867ff17b79931d9977dee796b  E:\Backup\JEUXDOS\games\SD\SD.9 offset 0-4999
5211b58016562c184f84af23b134e0fa  E:\Backup\JEUXDOS\games\SD\SD01A offset 0-4999
57f95594829ab4b421d611e1a3957273  E:\Backup\JEUXDOS\games\SD\SD01B offset 0-4999
1c4eca379663d8e75cbea4085b26eace  E:\Backup\JEUXDOS\games\SD\SD01C offset 0-4999
f77a3c386ade87429d399013d5f08f95  E:\Backup\JEUXDOS\games\SD\SD01D offset 0-4999
f01e9ba9b9d36d6565d333a506e17019  E:\Backup\JEUXDOS\games\SD\SD021 offset 0-4999
57e4129032abce093b2a28688536555b  E:\Backup\JEUXDOS\games\SD\SD021.PAL offset 0-4999
c326b8fc6cb027bb0396a6c49f0eb424  E:\Backup\JEUXDOS\games\SD\SD022 offset 0-4999
723f917ca93556e40944ec31e63c47ff  E:\Backup\JEUXDOS\games\SD\SD022.PAL offset 0-4999
dce78d638b3277f4f6d9a875b1c17154  E:\Backup\JEUXDOS\games\SD\SD03 offset 0-4999
75443ba39cdc95667e07d7118e5c151c  E:\Backup\JEUXDOS\games\SD\SDS1 offset 0-4999
478f3ed9cf0e5f3c486532f45e84745f  E:\Backup\JEUXDOS\games\SD\SDS2 offset 0-4999
80ecd17cccad39ed0789317f245c7e14  E:\Backup\JEUXDOS\games\SD\SDS3 offset 0-4999
ca16c4177eeda064f2941a5adb19feaa  E:\Backup\JEUXDOS\games\SD\SDS4 offset 0-4999
b4d3ffe534b15c3e64be6a910cbb9b66  E:\Backup\JEUXDOS\games\SD\SDS5 offset 0-4999
f1e53d8dd30680edb74035f9b07097d5  E:\Backup\JEUXDOS\games\SD\SDS6 offset 0-4999
6c7d7699ccfc8df4453146fb6ca95419  E:\Backup\JEUXDOS\games\SD\SINTRO2 offset 0-4999
101969a12bd2e4f5504219a355848904  E:\Backup\JEUXDOS\games\SD\TEXTE.DAT offset 0-4999

MD5sums of the full files:

480d2bf09f1f24e4d84fab2fa6e72884  E:\Backup\JEUXDOS\games\SD\BOOT.EXE
7319468847d7b1aee40dbf5dd963c999  E:\Backup\JEUXDOS\games\SD\DELPHINE.CFG
982b962f3579ea9f05dfd8d4b329779c  E:\Backup\JEUXDOS\games\SD\DELPHINE.EXE
8932f627148e6b7c9bc6d05a3d9f2dd3  E:\Backup\JEUXDOS\games\SD\EGOUBASE
99376929829755dbb8af949694f6e3bc  E:\Backup\JEUXDOS\games\SD\EGOUBASE.PAL
c82b927fa7c7a5604fa9dc297bcf6794  E:\Backup\JEUXDOS\games\SD\ERRMESS.DAT
426add95586f4041eb98346761d1f7b5  E:\Backup\JEUXDOS\games\SD\INSTALL.EXE
c568a72b62ba7c3d6eab5dc7755f9877  E:\Backup\JEUXDOS\games\SD\LABYBASE
5d20c156c9a19026970f85d8d6ddb2c7  E:\Backup\JEUXDOS\games\SD\LABYBASE.PAL
f2b555e6826945993b481e7dfc59b99a  E:\Backup\JEUXDOS\games\SD\POLDAT.DAT
bece32cd15e2c88de17c11b5046cc8d1  E:\Backup\JEUXDOS\games\SD\PROCS1
6060a35936bd0536972470159190a978  E:\Backup\JEUXDOS\games\SD\PROCS3
58910689c1377a378b2c59393ee12978  E:\Backup\JEUXDOS\games\SD\PROCS2
fe93ef763782b7212752ca3a64b63b6b  E:\Backup\JEUXDOS\games\SD\PROCS4
491c3b36c7fc7728b5dff08c656d5948  E:\Backup\JEUXDOS\games\SD\PROCS6
959849b2924b1bd608f4683229d8ed8f  E:\Backup\JEUXDOS\games\SD\PROCS5
953c297b281e63af74a56f01666c1268  E:\Backup\JEUXDOS\games\SD\SD.0
9522f26061fa4662ba853dce440a916e  E:\Backup\JEUXDOS\games\SD\SD.1
76d0a1a138c8b0758c36230426cb4526  E:\Backup\JEUXDOS\games\SD\SD.10
db08a52e3f8d146a50bef09cb391216f  E:\Backup\JEUXDOS\games\SD\SD.11
f7064035d8773c173dfd2b282ae602d8  E:\Backup\JEUXDOS\games\SD\SD.12
fc10229c41be059e871d36b9de8be4fc  E:\Backup\JEUXDOS\games\SD\SD.13
136ff896f772a4b3b5b71a2b9a2a3441  E:\Backup\JEUXDOS\games\SD\SD.14
c1a4c09df3f14c0828ac5a01285ccde7  E:\Backup\JEUXDOS\games\SD\SD.15
6d409a1d89b3a1212566e78d67a33d6b  E:\Backup\JEUXDOS\games\SD\SD.16
6702700242ce370c169e939cd6d49881  E:\Backup\JEUXDOS\games\SD\SD.17
f01db941b40dc18e3b15a5222ce3a339  E:\Backup\JEUXDOS\games\SD\SD.18
c796334d4f3807a5f80b51715957da59  E:\Backup\JEUXDOS\games\SD\SD.19
5a3503a4c71e816ecc206740bd3a8e85  E:\Backup\JEUXDOS\games\SD\SD.2
b05396d631ccad6875d37a4421791869  E:\Backup\JEUXDOS\games\SD\SD.3
cc0c846b4bec50eabf1fe8ede975f38f  E:\Backup\JEUXDOS\games\SD\SD.4
48c5a573c53825b739cb40b52bca80d6  E:\Backup\JEUXDOS\games\SD\SD.5
6c2dbfcb94e3436dbcc67ecfac31c5c4  E:\Backup\JEUXDOS\games\SD\SD.6
b8de03b5c1426a482615c7ccc898e3e1  E:\Backup\JEUXDOS\games\SD\SD.7
a40e5078b1f8b173caa0495b4a321112  E:\Backup\JEUXDOS\games\SD\SD.8
b652b7b28034550895e6e2ac455714ff  E:\Backup\JEUXDOS\games\SD\SD.9
bdbd4d245281e7ed708ac9dd87e60bcd  E:\Backup\JEUXDOS\games\SD\SD.BAT
56d08c6c67b10df99c89534826e328b6  E:\Backup\JEUXDOS\games\SD\SD.DIR
d697eee25457a94c4428ee2d34372a3f  E:\Backup\JEUXDOS\games\SD\SD01A.PAL
c7a64467dede72a1e2169b4bf7ed40a6  E:\Backup\JEUXDOS\games\SD\SD01A
61eddd54a5a4c795beda46f8d3d80e1d  E:\Backup\JEUXDOS\games\SD\SD01B.PAL
827994937abac327b278da9cb8256eab  E:\Backup\JEUXDOS\games\SD\SD01C.PAL
94e59bc43d02e991136ae0bb9a1d5d2c  E:\Backup\JEUXDOS\games\SD\SD01C
446d82926cad358b2656614a39a45fde  E:\Backup\JEUXDOS\games\SD\SD01D.PAL
231be7286b6b366d9cf707dc5e73b286  E:\Backup\JEUXDOS\games\SD\SD01D
7c194ffc0b919cf25797ee0f407e62a0  E:\Backup\JEUXDOS\games\SD\SD01B
7c8680f56f6dc3b5fd2b1ce293e168be  E:\Backup\JEUXDOS\games\SD\SD021.PAL
e27978f391c1212a56480a651698a66c  E:\Backup\JEUXDOS\games\SD\SD022.PAL
75b2905b71a6eba31a5f140085de72fc  E:\Backup\JEUXDOS\games\SD\SD03.PAL
c9fceb3f72defdb81cdd1737f058ff30  E:\Backup\JEUXDOS\games\SD\SD021
d114272cfba2a55c6337cc8bb4ebc186  E:\Backup\JEUXDOS\games\SD\SDS1
6683470c78bb5e28ea068ce97ad017d9  E:\Backup\JEUXDOS\games\SD\SDS2
d3551a60a01ab8f56c33a0a319a63480  E:\Backup\JEUXDOS\games\SD\SDS3
338d489a6d291eccadaf8abae4cdf2ae  E:\Backup\JEUXDOS\games\SD\SD03
3b78bb538966e3454ecad603d2e8a59a  E:\Backup\JEUXDOS\games\SD\SD022
eede8f5c1352c3ba6a15da08fc902461  E:\Backup\JEUXDOS\games\SD\SDS4
9467b344d7a8ebb629ba23c33896f614  E:\Backup\JEUXDOS\games\SD\SDS5
fb3a40355eaa0e8900f972d7cdb3f24e  E:\Backup\JEUXDOS\games\SD\SDS6
7a1d2a9a20178b1cc148e719bf1b33f4  E:\Backup\JEUXDOS\games\SD\SINTRO2.PAL
3e6f5ff8cbf53d75457965c0dda2da4b  E:\Backup\JEUXDOS\games\SD\TEXTE.DAT
22db5aaa1592b385d263498d0961ef8b  E:\Backup\JEUXDOS\games\SD\VOL.1
934a4793a4e54ae4c09665f938b169ab  E:\Backup\JEUXDOS\games\SD\SINTRO2
8d37bf305855f75b1f88e063b8595be6  E:\Backup\JEUXDOS\games\SD\VOL.2
29a18021a0d7f3915c13e4d552f78cb2  E:\Backup\JEUXDOS\games\SD\VOL.3
0f26c61f4f1443e2679878ab87946925  E:\Backup\JEUXDOS\games\SD\VOL.4
6446223871973d334530eef245ad4961  E:\Backup\JEUXDOS\games\SD\VOL.5
f93eda39db09ad6d40c881aacda606c7  E:\Backup\JEUXDOS\games\SD\VOL.6
338e67718d58dea0dbabe687f272e0aa  E:\Backup\JEUXDOS\games\SD\VOL.CNF
6bc1af258475ec126d1be66e6bee873a  E:\Backup\JEUXDOS\games\SD\VOL.END

in reply to:  5 comment:6 by karisal, 3 months ago

Replying to Kurufinwe21:

I'm not sure why this is necessary; as I said above, the problem was just a typo in the recent commit.

Ah, ok. But now the data is clear. Thank you! I will correct the detection entry.

Kari Salminen

comment:7 by karisal, 3 months ago

Waiting for this pull request to be merged into the upcoming release branch (2.2.0). If it is merged then a stable build of ScummVM can be used to test it (See Please help us with testing upcoming ScummVM 2.2.0 release). Thank you!

In the pull request the typo is corrected and PROCS1 file is used for detection instead of PROCS01.

Last edited 3 months ago by karisal (previous) (diff)

in reply to:  7 comment:8 by karisal, 3 months ago

Owner: changed from sev- to karisal
Resolution: fixed
Status: newclosed

Replying to karisal:

Waiting for this pull request to be merged into the upcoming release branch (2.2.0). If it is merged then a stable build of ScummVM can be used to test it (See Please help us with testing upcoming ScummVM 2.2.0 release). Thank you!

In the pull request the typo is corrected and PROCS1 file is used for detection instead of PROCS01.

The pull request has been merged to branch-2-2. You can try it out with the stable builds of ScummVM.

Note: See TracTickets for help on using tickets.